document.addEventListener("DOMContentLoaded", function() {
  // Odśwież eventy
  document.querySelectorAll('.sync-btn').forEach(btn => {
    btn.replaceWith(btn.cloneNode(true));
  });
  document.querySelectorAll('.delete-suggestion-btn').forEach(btn => {
    btn.replaceWith(btn.cloneNode(true));
  });

  // Synchronizacja sugestii
  document.querySelectorAll('.sync-btn').forEach(btn => {
    btn.addEventListener('click', function(e) {
      e.preventDefault();

      const itemId = this.getAttribute('data-item-id');
      const button = this;
      button.disabled = true;

      fetch(`/admin/sync_suggestion/${itemId}`, {
        method: 'POST',
        headers: {
          'X-Requested-With': 'XMLHttpRequest'
        }
      })
      .then(response => response.json())
      .then(data => {
        showToast(data.message, data.success ? 'success' : 'danger');

        if (data.success) {
          button.innerText = '✅ Zsynchronizowano';
          button.classList.remove('btn-outline-primary');
          button.classList.add('btn-success');
        } else {
          button.disabled = false;
        }
      })
      .catch(() => {
        showToast('Błąd synchronizacji', 'danger');
        button.disabled = false;
      });
    });
  });

  // Usuwanie sugestii
  document.querySelectorAll('.delete-suggestion-btn').forEach(btn => {
    btn.addEventListener('click', function(e) {
      e.preventDefault();

      const suggestionId = this.getAttribute('data-suggestion-id');
      const button = this;
      button.disabled = true;

      fetch(`/admin/delete_suggestion/${suggestionId}`, {
        method: 'POST',
        headers: {
          'X-Requested-With': 'XMLHttpRequest'
        }
      })
      .then(response => response.json())
      .then(data => {
        showToast(data.message, data.success ? 'success' : 'danger');

        if (data.success) {
          const row = button.closest('tr');
          if (row) row.remove();
        } else {
          button.disabled = false;
        }
      })
      .catch(() => {
        showToast('Błąd usuwania sugestii', 'danger');
        button.disabled = false;
      });
    });
  });
});
